Name: roxen-int
Version: 1.2b1
Release: 1
Source0: ftp://ftp.roxen.com/roxen/source/Roxen_1.2beta1-int.tar.gz
Source1: roxen
Source2: pike
Patch: Roxen-postgresdetect-patch.diff
Patch1: Roxen-LR.pmod-path-adjust.diff
Copyright: GPL
Group: Networking/Daemons
Packager: Jason T. Collins <dark@ksu.edu>
Summary: Roxen Challenger Web Server, International Version
BuildRoot: /var/tmp/roxen-build

%description
The Roxen Challenger server is the foundation of a powerful information
and communication environment -- the Roxen Platform.  Challenger is a
secure and powerful server, and is just as suitable for powering a web
site of any size as it is for an intranet application.
(from http://www.roxen.com/products)

%changelog
* Tue Mar 31 1998 Jason T. Collins <dark@ksu.edu>
 - wrote the RPM for roxen 1.2b1
 - someone who knows what they are doing with RPMs fix any problems with
   this, notably the fact I had to recompress the source file to fix
   capitalization, spelling

%prep

%setup
%patch -p1
%patch1 -p1
rm -rf `find -name "*.orig" -print`
./configure --prefix=$RPM_BUILD_ROOT --with-gmp --with-zlib --with-gdbm

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make install
mkdir $RPM_BUILD_ROOT/usr
mv $RPM_BUILD_ROOT/roxen $RPM_BUILD_ROOT/usr
mkdir $RPM_BUILD_ROOT/etc
mkdir $RPM_BUILD_ROOT/etc/rc.d
mkdir $RPM_BUILD_ROOT/etc/rc.d/init.d
cp -f $RPM_SOURCE_DIR/roxen $RPM_BUILD_ROOT/etc/rc.d/init.d/roxen
mkdir $RPM_BUILD_ROOT/usr/local
mkdir $RPM_BUILD_ROOT/usr/local/bin
cp -f $RPM_SOURCE_DIR/pike $RPM_BUILD_ROOT/usr/local/bin/pike

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo Remember to run the install script in the /usr/roxen/server directory.
echo It must be run from that directory.

%files
%doc BUGS
%doc CHANGES
%doc CHANGES.old.gz
%doc CONTRIBUTORS
%doc COPYING.int
%doc INSTALLING
%doc README
%doc TODO
/etc
/usr/local
/usr/roxen
